Package org.apache.felix.framework.security.util

## Class Conditions

- java.lang.Object
- - org.apache.felix.framework.security.util.Conditions

    public final class Conditions
    extends java.lang.Object

This class caches conditions instances by their infos. Furthermore, it allows to eval postponed condition permission tuples as per spec (see 9.45).

### Constructor Summary

Constructors
`Conditions​(org.apache.felix.framework.util.SecureAction action)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `evalRecursive​(java.util.List entries)`
`Conditions` `getConditions​(org.apache.felix.framework.BundleRevisionImpl key, org.osgi.service.condpermadmin.ConditionInfo[] conditions)`
`boolean` `isSatisfied​(java.util.List posts, Permissions permissions, java.security.Permission permission)`
`void` `remove​(org.apache.felix.framework.BundleRevisionImpl key)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Conditions

    public Conditions​(org.apache.felix.framework.util.SecureAction action)

### Method Detail

#### getConditions

    public Conditions getConditions​(org.apache.felix.framework.BundleRevisionImpl key,
                                    org.osgi.service.condpermadmin.ConditionInfo[] conditions)

#### remove

    public void remove​(org.apache.felix.framework.BundleRevisionImpl key)

#### isSatisfied

    public boolean isSatisfied​(java.util.List posts,
                               Permissions permissions,
                               java.security.Permission permission)

#### evalRecursive

    public boolean evalRecursive​(java.util.List entries)